List contracts
Authentication
Authorizationstring
API Key authentication via header
Query parameters
page
Page Number
limit
Number of items to return
filter
Format: field:rule:value — comma-separated for multiple filters.
Fields:
name (string): eq, neq, like, nlike, in, nin, isnull, isnotnull
externalIds.externalId (string): eq, neq, like, nlike, in, nin, isnull, isnotnull
externalIds.sourceType (string): eq, neq, like, nlike, in, nin, isnull, isnotnull
source (string): eq, neq, like, nlike, in, nin, isnull, isnotnull
status (string): eq, neq, like, nlike, in, nin, isnull, isnotnull
customerId (uuid): eq, neq, in, nin, isnull, isnotnull
createdAt (datetime): eq, neq, gt, gte, lt, lte
lastUpdatedAt (datetime): eq, neq, gt, gte, lt, lte
Date-only values (YYYY-MM-DD) match the full UTC day.
Example: filter=name:eq:value
Response
Get all Contracts by filter
payload
Response payload, will be empty when success is false
success
Boolean with true=success, false=failure
message
Plain-text description of the result
error
json element with any error messages or warnings

